﻿@model NationalTheatre.ViewModels.CashierViewModel

<nav class="navbar navbar-inverse navbar-fixed-top">
    <div class="container">
        <div class="navbar-header">
            <a asp-area="" asp-controller="Shows" asp-action="Index" class="navbar-brand">Shows</a>
            <a asp-area="" asp-controller="Categories" asp-action="Index" class="navbar-brand">Categories</a>
            <a asp-area="" asp-controller="Cashiers" asp-action="Index" class="navbar-brand">Cashiers</a>

            <a asp-area="" asp-controller="Users" asp-action="Logout" class="navbar-brand" style="margin-left:650px">Log out</a>
        </div>
    </div>
</nav>

<h3>Edit</h3>

<form asp-action="Edit" asp-controller="Cashiers" method="post">
  <div class="form-horizontal">

    <h4>Cashier</h4>

    <hr />

    <div asp-validation-summary="ModelOnly" class="text-danger"></div>
    <input type="hidden" asp-for="Id" />
    <input type="hidden" asp-for="CurrentUsername" />
    <div class="form-group">
      <label asp-for="FirstName" class="col-md-2 control-label">First Name</label>
      <div class="col-md-10">
        <input asp-for="FirstName" class="form-control" />
        <span asp-validation-for="FirstName" class="text-danger"></span>
      </div>
    </div>

    <div class="form-group">
      <label asp-for="LastName" class="col-md-2 control-label">Last Name</label>
      <div class="col-md-10">
        <input asp-for="LastName" class="form-control" />
        <span asp-validation-for="LastName" class="text-danger"></span>
      </div>
    </div>

    <div class="form-group">
      <label asp-for="Username" class="col-md-2 control-label">Username</label>
      <div class="col-md-10">
        <input asp-for="Username" class="form-control" />
        <span asp-validation-for="Username" class="text-danger"></span>
      </div>
    </div>

    <div class="form-group">
      <label asp-for="Password" class="col-md-2 control-label">Password</label>
      <div class="col-md-10">
        <input asp-for="Password" class="form-control" type="password"/>
        <span asp-validation-for="Password" class="text-danger"></span>
      </div>
    </div>

    <div class="form-group">
      <div class="col-md-offset-2 col-md-10">
        <input type="submit" value="Save" class="btn btn-primary" />
      </div>
    </div>
  </div>
</form>

<div>
    <a asp-action="Index" asp-controller="Cashiers">Back to cashiers</a>
</div>

@section Scripts {
    @{await Html.RenderPartialAsync("_ValidationScriptsPartial");}
}